com.genesyslab.wfm8.API.service.schedule852

## Class SchStateFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchStateFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class SchStateFilter
      extends java.lang.Object
      implements java.io.Serializable

  Schedule State Filter
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `enableDayOffFilter` Indicates whether to enable the Day Off filter (true/false).
    `protected java.util.List<java.lang.Double>` | `filterDays` Contains an array of dates.
    `protected int` | `filterDaysNSizeIs` The number of elements in the 'filterDays' array,
    `protected double` | `mealEarliestStartTime` Defines earliest start time for first meal start time filter.
    `protected double` | `mealLatestStartTime` Defines latest start time for first meal start time filter.
    `private static long` | `serialVersionUID`
    `protected double` | `shiftEarliestStartTime` Defines earliest start time for shift start time filter.
    `protected double` | `shiftLatestStartTime` Defines latest start time for shift start time filter.
    `protected java.util.List<java.lang.Integer>` | `stateGroupFilter` State Group ID filter.
    `protected int` | `stateGroupFilterNSizeIs`
    `protected java.util.List<SchStateID>` | `stateIDFilter` `SchStateID` filter.
    `protected int` | `stateIDFilterNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `stateTypeFilter` `ESchStateType` filter.
    `protected int` | `stateTypeFilterNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchStateFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Double>` | `getFilterDays()` Gets the value of the filterDays property.
    `int` | `getFilterDaysNSizeIs()` Gets the value of the filterDaysNSizeIs property.
    `double` | `getMealEarliestStartTime()` Gets the value of the mealEarliestStartTime property.
    `double` | `getMealLatestStartTime()` Gets the value of the mealLatestStartTime property.
    `double` | `getShiftEarliestStartTime()` Gets the value of the shiftEarliestStartTime property.
    `double` | `getShiftLatestStartTime()` Gets the value of the shiftLatestStartTime property.
    `java.util.List<java.lang.Integer>` | `getStateGroupFilter()` Gets the value of the stateGroupFilter property.
    `int` | `getStateGroupFilterNSizeIs()` Gets the value of the stateGroupFilterNSizeIs property.
    `java.util.List<SchStateID>` | `getStateIDFilter()` Gets the value of the stateIDFilter property.
    `int` | `getStateIDFilterNSizeIs()` Gets the value of the stateIDFilterNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getStateTypeFilter()` Gets the value of the stateTypeFilter property.
    `int` | `getStateTypeFilterNSizeIs()` Gets the value of the stateTypeFilterNSizeIs property.
    `int` | `hashCode()`
    `boolean` | `isEnableDayOffFilter()` Gets the value of the enableDayOffFilter property.
    `void` | `setEnableDayOffFilter(boolean value)` Sets the value of the enableDayOffFilter property.
    `void` | `setFilterDays(java.util.List<java.lang.Double> filterDays)` Sets the value of the filterDays property.
    `void` | `setFilterDaysNSizeIs(int value)` Sets the value of the filterDaysNSizeIs property.
    `void` | `setMealEarliestStartTime(double value)` Sets the value of the mealEarliestStartTime property.
    `void` | `setMealLatestStartTime(double value)` Sets the value of the mealLatestStartTime property.
    `void` | `setShiftEarliestStartTime(double value)` Sets the value of the shiftEarliestStartTime property.
    `void` | `setShiftLatestStartTime(double value)` Sets the value of the shiftLatestStartTime property.
    `void` | `setStateGroupFilter(java.util.List<java.lang.Integer> stateGroupFilter)` Sets the value of the stateGroupFilter property.
    `void` | `setStateGroupFilterNSizeIs(int value)` Sets the value of the stateGroupFilterNSizeIs property.
    `void` | `setStateIDFilter(java.util.List<SchStateID> stateIDFilter)` Sets the value of the stateIDFilter property.
    `void` | `setStateIDFilterNSizeIs(int value)` Sets the value of the stateIDFilterNSizeIs property.
    `void` | `setStateTypeFilter(java.util.List<java.lang.Integer> stateTypeFilter)` Sets the value of the stateTypeFilter property.
    `void` | `setStateTypeFilterNSizeIs(int value)` Sets the value of the stateTypeFilterNSizeIs property.
    `java.lang.String` | `toString()`
    `SchStateFilter` | `withEnableDayOffFilter(boolean value)`
    `SchStateFilter` | `withFilterDays(java.util.Collection<java.lang.Double> values)`
    `SchStateFilter` | `withFilterDays(java.lang.Double... values)`
    `SchStateFilter` | `withFilterDaysNSizeIs(int value)`
    `SchStateFilter` | `withMealEarliestStartTime(double value)`
    `SchStateFilter` | `withMealLatestStartTime(double value)`
    `SchStateFilter` | `withShiftEarliestStartTime(double value)`
    `SchStateFilter` | `withShiftLatestStartTime(double value)`
    `SchStateFilter` | `withStateGroupFilter(java.util.Collection<java.lang.Integer> values)`
    `SchStateFilter` | `withStateGroupFilter(java.lang.Integer... values)`
    `SchStateFilter` | `withStateGroupFilterNSizeIs(int value)`
    `SchStateFilter` | `withStateIDFilter(java.util.Collection<SchStateID> values)`
    `SchStateFilter` | `withStateIDFilter(SchStateID... values)`
    `SchStateFilter` | `withStateIDFilterNSizeIs(int value)`
    `SchStateFilter` | `withStateTypeFilter(java.util.Collection<java.lang.Integer> values)`
    `SchStateFilter` | `withStateTypeFilter(java.lang.Integer... values)`
    `SchStateFilter` | `withStateTypeFilterNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### stateIDFilterNSizeIs

          protected int stateIDFilterNSizeIs

    - #### stateIDFilter

          protected java.util.List<SchStateID> stateIDFilter

      `SchStateID` filter. Can be NULL, meaning "any state".

    - #### stateTypeFilterNSizeIs

          protected int stateTypeFilterNSizeIs

    - #### stateTypeFilter

          protected java.util.List<java.lang.Integer> stateTypeFilter

      `ESchStateType` filter. Can be NULL, meaning "all state type".

    - #### stateGroupFilterNSizeIs

          protected int stateGroupFilterNSizeIs

    - #### stateGroupFilter

          protected java.util.List<java.lang.Integer> stateGroupFilter

      State Group ID filter. Can be NULL, meaning "any state group".

    - #### enableDayOffFilter

          protected boolean enableDayOffFilter

      Indicates whether to enable the Day Off filter (true/false). If enabled, agent day is still included even if it has a Day Off scheduled.

    - #### shiftEarliestStartTime

          protected double shiftEarliestStartTime

      Defines earliest start time for shift start time filter. `OleDateTime`

    - #### shiftLatestStartTime

          protected double shiftLatestStartTime

      Defines latest start time for shift start time filter. `OleDateTime`

    - #### mealEarliestStartTime

          protected double mealEarliestStartTime

      Defines earliest start time for first meal start time filter. `OleDateTime`

    - #### mealLatestStartTime

          protected double mealLatestStartTime

      Defines latest start time for first meal start time filter. `OleDateTime`

    - #### filterDaysNSizeIs

          protected int filterDaysNSizeIs

      The number of elements in the 'filterDays' array,

    - #### filterDays

          protected java.util.List<java.lang.Double> filterDays

      Contains an array of dates. If not empty (NULL), this defines the dates that need to be checked against defined filters. `OleDateTime`

  - ### Constructor Detail

    - #### SchStateFilter

          public SchStateFilter()

  - ### Method Detail

    - #### getStateIDFilterNSizeIs

          public int getStateIDFilterNSizeIs()

      Gets the value of the stateIDFilterNSizeIs property.

    - #### setStateIDFilterNSizeIs

          public void setStateIDFilterNSizeIs(int value)

      Sets the value of the stateIDFilterNSizeIs property.

    - #### getStateIDFilter

          public java.util.List<SchStateID> getStateIDFilter()

      Gets the value of the stateIDFilter property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stateIDFilter property.

      For example, to add a new item, do as follows:

              getStateIDFilter().add(newItem);

      Objects of the following type(s) are allowed in the list `SchStateID`

    - #### getStateTypeFilterNSizeIs

          public int getStateTypeFilterNSizeIs()

      Gets the value of the stateTypeFilterNSizeIs property.

    - #### setStateTypeFilterNSizeIs

          public void setStateTypeFilterNSizeIs(int value)

      Sets the value of the stateTypeFilterNSizeIs property.

    - #### getStateTypeFilter

          public java.util.List<java.lang.Integer> getStateTypeFilter()

      Gets the value of the stateTypeFilter property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stateTypeFilter property.

      For example, to add a new item, do as follows:

              getStateTypeFilter().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getStateGroupFilterNSizeIs

          public int getStateGroupFilterNSizeIs()

      Gets the value of the stateGroupFilterNSizeIs property.

    - #### setStateGroupFilterNSizeIs

          public void setStateGroupFilterNSizeIs(int value)

      Sets the value of the stateGroupFilterNSizeIs property.

    - #### getStateGroupFilter

          public java.util.List<java.lang.Integer> getStateGroupFilter()

      Gets the value of the stateGroupFilter property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stateGroupFilter property.

      For example, to add a new item, do as follows:

              getStateGroupFilter().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### isEnableDayOffFilter

          public boolean isEnableDayOffFilter()

      Gets the value of the enableDayOffFilter property.

    - #### setEnableDayOffFilter

          public void setEnableDayOffFilter(boolean value)

      Sets the value of the enableDayOffFilter property.

    - #### getShiftEarliestStartTime

          public double getShiftEarliestStartTime()

      Gets the value of the shiftEarliestStartTime property.

    - #### setShiftEarliestStartTime

          public void setShiftEarliestStartTime(double value)

      Sets the value of the shiftEarliestStartTime property.

    - #### getShiftLatestStartTime

          public double getShiftLatestStartTime()

      Gets the value of the shiftLatestStartTime property.

    - #### setShiftLatestStartTime

          public void setShiftLatestStartTime(double value)

      Sets the value of the shiftLatestStartTime property.

    - #### getMealEarliestStartTime

          public double getMealEarliestStartTime()

      Gets the value of the mealEarliestStartTime property.

    - #### setMealEarliestStartTime

          public void setMealEarliestStartTime(double value)

      Sets the value of the mealEarliestStartTime property.

    - #### getMealLatestStartTime

          public double getMealLatestStartTime()

      Gets the value of the mealLatestStartTime property.

    - #### setMealLatestStartTime

          public void setMealLatestStartTime(double value)

      Sets the value of the mealLatestStartTime property.

    - #### getFilterDaysNSizeIs

          public int getFilterDaysNSizeIs()

      Gets the value of the filterDaysNSizeIs property.

    - #### setFilterDaysNSizeIs

          public void setFilterDaysNSizeIs(int value)

      Sets the value of the filterDaysNSizeIs property.

    - #### getFilterDays

          public java.util.List<java.lang.Double> getFilterDays()

      Gets the value of the filterDays property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the filterDays property.

      For example, to add a new item, do as follows:

              getFilterDays().add(newItem);

      Objects of the following type(s) are allowed in the list `Double`

    - #### withStateIDFilterNSizeIs

          public SchStateFilter withStateIDFilterNSizeIs(int value)

    - #### withStateIDFilter

          public SchStateFilter withStateIDFilter(SchStateID... values)

    - #### withStateIDFilter

          public SchStateFilter withStateIDFilter(java.util.Collection<SchStateID> values)

    - #### withStateTypeFilterNSizeIs

          public SchStateFilter withStateTypeFilterNSizeIs(int value)

    - #### withStateTypeFilter

          public SchStateFilter withStateTypeFilter(java.lang.Integer... values)

    - #### withStateTypeFilter

          public SchStateFilter withStateTypeFilter(java.util.Collection<java.lang.Integer> values)

    - #### withStateGroupFilterNSizeIs

          public SchStateFilter withStateGroupFilterNSizeIs(int value)

    - #### withStateGroupFilter

          public SchStateFilter withStateGroupFilter(java.lang.Integer... values)

    - #### withStateGroupFilter

          public SchStateFilter withStateGroupFilter(java.util.Collection<java.lang.Integer> values)

    - #### withEnableDayOffFilter

          public SchStateFilter withEnableDayOffFilter(boolean value)

    - #### withShiftEarliestStartTime

          public SchStateFilter withShiftEarliestStartTime(double value)

    - #### withShiftLatestStartTime

          public SchStateFilter withShiftLatestStartTime(double value)

    - #### withMealEarliestStartTime

          public SchStateFilter withMealEarliestStartTime(double value)

    - #### withMealLatestStartTime

          public SchStateFilter withMealLatestStartTime(double value)

    - #### withFilterDaysNSizeIs

          public SchStateFilter withFilterDaysNSizeIs(int value)

    - #### withFilterDays

          public SchStateFilter withFilterDays(java.lang.Double... values)

    - #### withFilterDays

          public SchStateFilter withFilterDays(java.util.Collection<java.lang.Double> values)

    - #### setStateIDFilter

          public void setStateIDFilter(java.util.List<SchStateID> stateIDFilter)

      Sets the value of the stateIDFilter property.
      Parameters:
        `stateIDFilter` - allowed object is `SchStateID`

    - #### setStateTypeFilter

          public void setStateTypeFilter(java.util.List<java.lang.Integer> stateTypeFilter)

      Sets the value of the stateTypeFilter property.
      Parameters:
        `stateTypeFilter` - allowed object is `Integer`

    - #### setStateGroupFilter

          public void setStateGroupFilter(java.util.List<java.lang.Integer> stateGroupFilter)

      Sets the value of the stateGroupFilter property.
      Parameters:
        `stateGroupFilter` - allowed object is `Integer`

    - #### setFilterDays

          public void setFilterDays(java.util.List<java.lang.Double> filterDays)

      Sets the value of the filterDays property.
      Parameters:
        `filterDays` - allowed object is `Double`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.